Bug 494097 - ATI Radeon X800 - Garbled desktop with modesetting when "Virtual 1600 1200" is added to xorg.xonf
ATI Radeon X800 - Garbled desktop with modesetting when "Virtual 1600 1200" i...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-04 05:20 EDT by Joachim Frieben
Modified: 2009-05-18 07:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: xorg-x11-drv-ati-6.12.2-6.fc11.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 07:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Custom xorg.conf for ATI Radeon X800 and 21" CRT HP A4576A (623 bytes, text/plain)
2009-04-04 05:20 EDT, Joachim Frieben
no flags Details
Xorg.0.log with modesetting and no xorg.conf (51.96 KB, text/plain)
2009-04-04 05:35 EDT, Joachim Frieben
no flags Details
Xorg.0.log with modesetting and virtual 1600 1200 (49.63 KB, text/plain)
2009-04-04 05:36 EDT, Joachim Frieben
no flags Details
Xorg.0.log with modesetting and virtual 1408 1056 (49.62 KB, text/plain)
2009-04-04 05:37 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-04-04 05:20:39 EDT
Created attachment 338148 [details]
Custom xorg.conf for ATI Radeon X800 and 21" CRT HP A4576A

Description of problem:
Adding a line "Virtual 1600 1200" to xorg.conf of an ATI Radeon X800 leads to a garbled GDM/GNOME Desktop when KMS is enabled. The chosen video mode is 1400x1050 which is the optimum one for a 21" CRT like the HP A4576A. Mode 1600x1200 is the maximum resolution one as specified by the manufacturer. It is not accessible when the virtual desktop is smaller than 1600x1200

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.1-4.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Add "Virtual 1600 1200" to xorg.conf.
2. Restart X.
  
Actual results:
Garbled screen.

Expected results:
GDM/GNOME session are displayed as expected.

Additional info:
- Adding "Virtual 1400 1050" or "1408 1056" restore proper operation while
  improving 3D performance in the same time.
- Adding "nomodeset" to the kernel boot options restores proper operation
  even for the incriminated virtual line.
- Currently, DRI2 leads to a significant performance penalty at least as
  measured by running 'glxgears'  [1000 fps instead for 3500 fps].
- System is a current "rawhide" one:
  * kernel-2.6.29.1-46.fc11.x86_64
  * mesa-*-7.5-0.6.fc11.x86_64
  * xorg-x11-server-Xorg-1.6.0-16.fc11.x86_64
Comment 1 Joachim Frieben 2009-04-04 05:35:29 EDT
Created attachment 338149 [details]
Xorg.0.log with modesetting and no xorg.conf
Comment 2 Joachim Frieben 2009-04-04 05:36:20 EDT
Created attachment 338150 [details]
Xorg.0.log with modesetting and virtual 1600 1200
Comment 3 Joachim Frieben 2009-04-04 05:37:02 EDT
Created attachment 338151 [details]
Xorg.0.log with modesetting and virtual 1408 1056
Comment 4 François Cami 2009-04-06 18:39:05 EDT
glxgears is not a benchmark.

Adding a Virtual line should not change DPI :

-(**) RADEON(0): DPI set to (101, 101)
+(**) RADEON(0): DPI set to (89, 89)

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Joachim Frieben 2009-04-27 05:09:11 EDT
Issue appears to be fixed in current "rawhide" including packages:
- kernel-2.6.29.1-111.fc11.x86_64
- mesa-*-7.5-0.9.fc11.x86_64
- xorg-x11-drv-ati-6.12.2-6.fc11.x86_64
- xorg-x11-server-Xorg-1.6.1-6.fc11.x86_64

However, the DPI issue persists. Closing this report and filing a new bug report on the latter?

Note You need to log in before you can comment on or make changes to this bug.